Package org.eclipse.mat.report.internal

## Class Parameters

- java.lang.Object
- - org.eclipse.mat.report.internal.Parameters

Direct Known Subclasses:
  `Parameters.Deep`

    public abstract class Parameters
    extends Object

No Extend:

### Nested Class Summary

Nested Classes
`static class` `Parameters.Deep`

### Constructor Summary

Constructors
`Parameters()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`String` `expand​(String value)`
`String` `get​(String key)`
`abstract String` `get​(String key, String defaultValue)`
`boolean` `getBoolean​(String key, boolean defaultValue)`
`int` `getInt​(String key, int defaultValue)`
`String[]` `getStringArray​(String key)`
`abstract void` `put​(String key, String value)`
`abstract void` `putAll​(Map<String,​String> params)`
`abstract Parameters` `shallow()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Parameters

    public Parameters()

### Method Detail

#### shallow

    public abstract Parameters shallow()

#### get

    public abstract String get​(String key,
                               String defaultValue)

#### putAll

    public abstract void putAll​(Map<String,​String> params)

#### put

    public abstract void put​(String key,
                             String value)

#### get

    public String get​(String key)

#### expand

    public String expand​(String value)

#### getInt

    public int getInt​(String key,
                      int defaultValue)

#### getBoolean

    public boolean getBoolean​(String key,
                              boolean defaultValue)

#### getStringArray

    public String[] getStringArray​(String key)